/*****************************************************************************
Copyright (c) 2011 SmartVault, Inc.

 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 ******************************************************************************/
package com.smartvault.oauth;

public class ByteWriter {

    private static final String STRING_TOO_LONG = "String too long."; //$NON-NLS-1$
    
    private byte[] array;
    private int position;


	public byte[] getBuffer() {
        return this.array;
    }

    public void write(final byte out) {
        this.array[this.position++] = out;
    }

    public void write(final String out) {
        for(int i = 0; i < out.length(); ++i) {
            this.array[this.position++] = (byte) out.charAt(i);
        }
    }

    public void writeStrLen(final String out) throws IllegalArgumentException {
        final int length = out == null ? 0 : out.length();

        if (length > 255) {
            throw new IllegalArgumentException(STRING_TOO_LONG);
        }

        write((byte) length);
        if (length != 0) {
            write(out);
        }
    }

    public ByteWriter(final byte[] out) {
        this.array = out;
    }

    public ByteWriter(final byte[] out, final int position) {
        this.array = out;
        this.position = position;
    }
}
