/*****************************************************************************
Copyright (c) 2011 SmartVault, Inc.

 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 ******************************************************************************/
package com.smartvault.rest;

public final class Constants {
	private Constants() {
		// empty constructor
	}
	
	public static final String SLASH = "/"; //$NON-NLS-1$

	public static final String STAT_USER_INFO_PATH = "/auto/usr"; //$NON-NLS-1$
	public static final String SIGN_UP_NEW_USER_PATH = "/auto/snew"; //$NON-NLS-1$
	public static final String NONCE_PATH = "/auto/auth/nonce/1"; //$NON-NLS-1$
	public static final String CLIENT_TOKEN_PATH = "/auto/auth/ctoken/1"; //$NON-NLS-1$
	public static final String DELEGATION_TOKEN_PATH = "/auto/auth/dtoken/1"; //$NON-NLS-1$
	public static final String APP_PATH = "/nodes/app"; //$NON-NLS-1$
	public static final String APP_ALIAS_PATH = "/nodes/app-alias"; //$NON-NLS-1$
	public static final String PTH_PATH = "/nodes/pth"; //$NON-NLS-1$

	public static final String CHILDREN_PARAMETER = "children"; //$NON-NLS-1$
	public static final String ACL_PARAMETER = "acl"; //$NON-NLS-1$
	public static final String INCLUDE_EXTENDED_PROPERTIES = "eprop"; //$NON-NLS-1$
	public static final String SEARCH_CRITERIA = "search"; //$NON-NLS-1$
	public static final String SORT_FIELD = "sort"; //$NON-NLS-1$
	public static final String SORT_DIRECTION = "direction"; //$NON-NLS-1$
	public static final String PAGE = "page"; //$NON-NLS-1$
	public static final String PER_PAGE="per_page"; //$NON-NLS-1$
	
	public static final String PUBLIC_SERVER = "https://rest.smartvault.com"; //$NON-NLS-1$
	public static final String BETA_SERVER = "https://beta-rest.smartvault.com"; //$NON-NLS-1$
}